io.vertx.ext.web.templ

## Interface FreeMarkerTemplateEngine

- All Superinterfaces:
    TemplateEngine

      public interface FreeMarkerTemplateEngine
      extends TemplateEngine

  A template engine that uses the FreeMarker library.
  Author:
    Paulo Lopes

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DEFAULT_MAX_CACHE_SIZE` Default max number of templates to cache
    `static String` | `DEFAULT_TEMPLATE_EXTENSION` Default template extension

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FreeMarkerTemplateEngine` | `create()` Create a template engine using defaults
    `FreeMarkerTemplateEngine` | `setExtension(String extension)` Set the extension for the engine
    `FreeMarkerTemplateEngine` | `setMaxCacheSize(int maxCacheSize)` Set the max cache size for the engine

    - ### Methods inherited from interface io.vertx.ext.web.templ.TemplateEngine

      `render`

- - ### Field Detail

    - #### DEFAULT_MAX_CACHE_SIZE

          static final int DEFAULT_MAX_CACHE_SIZE

      Default max number of templates to cache
      See Also:
        Constant Field Values

    - #### DEFAULT_TEMPLATE_EXTENSION

          static final String DEFAULT_TEMPLATE_EXTENSION

      Default template extension
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### create

          static FreeMarkerTemplateEngine create()

      Create a template engine using defaults
      Returns:
        the engine

    - #### setExtension

          FreeMarkerTemplateEngine setExtension(String extension)

      Set the extension for the engine
      Parameters:
        `extension` - the extension
      Returns:
        a reference to this for fluency

    - #### setMaxCacheSize

          FreeMarkerTemplateEngine setMaxCacheSize(int maxCacheSize)

      Set the max cache size for the engine
      Parameters:
        `maxCacheSize` - the maxCacheSize
      Returns:
        a reference to this for fluency

Copyright © 2017. All rights reserved.